Bug 591834 - [abrt] crash in obex-data-server-1:0.4.3-4.fc12: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in obex-data-server-1:0.4.3-4.fc12: Process /usr/bin/obex-data-s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: obex-data-server
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:35068d598114dc279bc4df0797e...
: 548546 587118 593586 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 10:13 UTC by Timothy Hinchcliffe
Modified: 2011-06-27 16:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:19:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.62 KB, text/plain)
2010-05-13 10:13 UTC, Timothy Hinchcliffe
no flags Details

Description Timothy Hinchcliffe 2010-05-13 10:13:12 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/obex-data-server --no-daemon ''
comment: I run on a KDE desktop and only have parts of Gnome installed, but I suspect the steps to reproduce should be the same on a Gnome desktop as long as the kbluetooth package is installed.
component: obex-data-server
crash_function: IA__g_type_check_instance_cast
executable: /usr/bin/obex-data-server
global_uuid: 35068d598114dc279bc4df0797e2219d3bb173ee
kernel: 2.6.32.11-99.fc12.i686.PAE
package: obex-data-server-1:0.4.3-4.fc12
rating: 4
reason: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
You will need a bluetooth device capable of recieving a file and which is visible for the duration of the test.
I used a mobile phone.

1. Run kbluetooth
2. Right-click on kbluetooth system tray icon, select Send, File
3. Select a file to send (I was using a 6.4k wav file).
4. Select a bluetooth device capable of recieving the given file.
5. Click send.

Expected results:
Bluetooth device receives file. No procesess on the sending computer crash.

Current results:
Bluetooth receives file or part of file (I think depending on size of file).
obex-data-server crashes as per this report.

Comment 1 Timothy Hinchcliffe 2010-05-13 10:13:15 UTC
Created attachment 413707 [details]
File: backtrace

Comment 2 Timothy Hinchcliffe 2010-05-13 10:20:09 UTC
The same crash happens when sending to a Fedora 9 laptop, although in this instance the 6.4k wav file which was incomplete to the mobile arrived intact.

Comment 3 Karel Klíč 2010-05-25 10:41:04 UTC
*** Bug 548546 has been marked as a duplicate of this bug. ***

Comment 4 Karel Klíč 2010-05-25 10:41:08 UTC
*** Bug 587118 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-05-25 10:41:15 UTC
*** Bug 593586 has been marked as a duplicate of this bug. ***

Comment 6 Bug Zapper 2010-11-03 14:58:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Timothy Hinchcliffe 2010-11-04 10:56:17 UTC
This issue is still present on Fedora 13.

A 50KB file transferred without problems, but a 2.1KB file and a 126 byte file triggered the same crash.

Latest abrt details:
architecture: i686
cmdline: /usr/bin/obex-data-server --no-daemon ''
component: obex-data-server
crash_function: obex_io_callback
executable: /usr/bin/obex-data-server
kernel: 2.6.34.7-56.fc13.i686
package: obex-data-server-1:0.4.5-1.fc13
rating: 4
reason: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1288867381
uid: 500

backtrace
-----
warning: core file may not match specified executable file.
[New Thread 32195]
Core was generated by `/usr/bin/obex-data-server --no-daemon '.
Program terminated with signal 11, Segmentation fault.
#0  obex_io_callback (io_channel=<value optimized out>, 
    cond=<value optimized out>, data=<value optimized out>)
    at src/ods-session.c:193
193	src/ods-session.c: No such file or directory.
	in src/ods-session.c

Thread 1 (Thread 32195):
#0  obex_io_callback (io_channel=<value optimized out>, 
    cond=<value optimized out>, data=<value optimized out>)
    at src/ods-session.c:193
        obex_handle = 0x9b23ff8
        session = 0x0
        error = 0x0
        ret = 1
        __FUNCTION__ = "obex_io_callback"
#1  0x0044189c in g_io_unix_dispatch (source=0x9b24348, callback=
    0x8055cd0 <ods_obex_io>, user_data=0x9b25d98) at giounix.c:162
        func = 0x8055cd0 <ods_obex_io>
        watch = 0x9b24348
        buffer_condition = <value optimized out>
#2  0x003fc525 in g_main_dispatch (context=0x9b1add8) at gmain.c:1960
        dispatch = 0x441850 <g_io_unix_dispatch>
        was_in_call = 0
        user_data = 0x9b25d98
        callback = 0x8055cd0 <ods_obex_io>
        cb_funcs = 0x4c257c
        cb_data = 0x9b24650
        current_source_link = {data = 0x9b24348, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x9b24348
        current = 0x9b14048
        i = <value optimized out>
#3  IA__g_main_context_dispatch (context=0x9b1add8) at gmain.c:2513
No locals.
#4  0x00400268 in g_main_context_iterate (context=0x369490, block=1, dispatch=
    1, self=0x9b12830) at gmain.c:2591
        max_priority = 2147483647
        timeout = 14952
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0x9b236b0
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#5  0x004007af in IA__g_main_loop_run (loop=0x9b1f290) at gmain.c:2799
        self = 0x9b12830
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#6  0x08051555 in main (argc=2, argv=0xbfdeb624) at src/ods-main.c:195
        session_connection = <value optimized out>
        error = 0x0
        context = 0x0
        sa = {__sigaction_handler = {sa_handler = 0x8050fd0 <sig_term>, 
            sa_sigaction = 0x8050fd0 <sig_term>}, sa_mask = {__val = {
    0 <repeats 32 times>}}, sa_flags = 0, sa_restorer = 0}
        no_daemon = 1
        system_bus = 0
        show_version = 0
        log = 0
        debug = 0
        options = {{long_name = 0x8064421 "no-daemon", short_name = 110 'n', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfdeb558, 
            description = 0x806442b "Do not daemonize", arg_description = 
    0x0}, {long_name = 0x806443c "system-bus", short_name = 115 's', flags = 
    0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfdeb554, description = 
    0x8064534 "Use system bus instead of the default session bus", 
            arg_description = 0x0}, {long_name = 0x806445e "log", 
            short_name = 108 'l', flags = 0, arg = G_OPTION_ARG_NONE, 
            arg_data = 0xbfdeb54c, description = 
    0x8064447 "Log all messages to syslog", arg_description = 0x0}, {
            long_name = 0x8064462 "debug", short_name = 100 'd', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0xbfdeb548, description = 
    0x8064468 "Enable debugging messages", arg_description = 0x0}, {
            long_name = 0x8064482 "version", short_name = 118 'v', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0xbfdeb550, description = 
    0x8064568 "Show version of obex-data-server and exit immediately", 
            arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 
    0x0, arg_description = 0x0}}
From        To          Syms Read   Shared Object Library
0x0065a7d0  0x006866f8  Yes         /lib/libgobject-2.0.so.0.2400.1
0x003d4590  0x00460478  Yes         /lib/libglib-2.0.so.0.2400.1
0x0064df40  0x0064f6b8  Yes         /lib/libgthread-2.0.so.0.2400.1
0x00393880  0x003976b8  Yes         /lib/librt-2.12.1.so
0x001052e0  0x00117e18  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0.2000.1
0x00c3cc30  0x00c3dd88  Yes         /lib/libgmodule-2.0.so.0.2400.1
0x038571f0  0x0385b098  Yes         /usr/lib/libusb-0.1.so.4
0x0336a720  0x0337c8c8  Yes         /usr/lib/libdbus-glib-1.so.2.1.0
0x0090c220  0x00938578  Yes         /lib/libdbus-1.so.3.4.0
0x003645e0  0x00370558  Yes         /lib/libpthread-2.12.1.so
0x0071a2c0  0x00725f08  Yes         /usr/lib/libbluetooth.so.3
0x004c6520  0x004cc578  Yes         /usr/lib/libopenobex.so.1
0x00745aa0  0x00865204  Yes         /lib/libc-2.12.1.so
0x0017d830  0x0019531f  Yes         /lib/ld-2.12.1.so
0x07d208d0  0x07d91c68  Yes         /lib/libgio-2.0.so.0.2400.1
0x006be6f0  0x006da6d8  Yes         /usr/lib/libpng12.so.0
0x00330470  0x0034a968  Yes         /lib/libm-2.12.1.so
0x00359a60  0x0035aa88  Yes         /lib/libdl-2.12.1.so
0x00621650  0x0062ff68  Yes         /lib/libresolv-2.12.1.so
0x0037e620  0x003898e8  Yes         /lib/libz.so.1.2.3
0x003a1210  0x003b2b48  Yes         /lib/libselinux.so.1
0x00e3c430  0x00e3d8e8  Yes         /usr/lib/gconv/UTF-16.so
$1 = 0x0
$2 = 0x0
eax            0x0	0
ecx            0x0	0
edx            0x0	0
ebx            0x0	0
esp            0xbfdeb200	0xbfdeb200
ebp            0xbfdeb248	0xbfdeb248
esi            0x9b23ff8	162676728
edi            0x8055cd0	134569168
eip            0x80617b7	0x80617b7 <obex_io_callback+87>
eflags         0x10202	[ IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function obex_io_callback:
   0x08061760 <+0>:	push   %ebp
   0x08061761 <+1>:	mov    %esp,%ebp
   0x08061763 <+3>:	push   %edi
   0x08061764 <+4>:	push   %esi
   0x08061765 <+5>:	push   %ebx
   0x08061766 <+6>:	lea    -0x3c(%esp),%esp
   0x0806176a <+10>:	movl   $0x0,-0x1c(%ebp)
   0x08061771 <+17>:	mov    0x10(%ebp),%esi
   0x08061774 <+20>:	call   0x80609a0 <ods_session_get_type>
   0x08061779 <+25>:	mov    %eax,%ebx
   0x0806177b <+27>:	mov    %esi,(%esp)
   0x0806177e <+30>:	call   0x804c4d4 <OBEX_GetUserData@plt>
   0x08061783 <+35>:	mov    %eax,(%esp)
   0x08061786 <+38>:	mov    %ebx,0x4(%esp)
   0x0806178a <+42>:	call   0x804c2a4 <g_type_check_instance_cast@plt>
   0x0806178f <+47>:	mov    %eax,%ebx
   0x08061791 <+49>:	movl   $0x8066cf4,0x8(%esp)
   0x08061799 <+57>:	movl   $0x20,0x4(%esp)
   0x080617a1 <+65>:	movl   $0x0,(%esp)
   0x080617a8 <+72>:	call   0x804c714 <g_log@plt>
   0x080617ad <+77>:	testb  $0x38,0xc(%ebp)
   0x080617b1 <+81>:	je     0x80618f8 <obex_io_callback+408>
=> 0x080617b7 <+87>:	mov    0xc(%ebx),%eax
   0x080617ba <+90>:	mov    0x14(%eax),%ecx
   0x080617bd <+93>:	test   %ecx,%ecx
   0x080617bf <+95>:	je     0x80618b0 <obex_io_callback+336>
   0x080617c5 <+101>:	mov    %ebx,0x4(%esp)
   0x080617c9 <+105>:	movl   $0x8060960,(%esp)
   0x080617d0 <+112>:	call   0x804c464 <g_idle_add@plt>
   0x080617d5 <+117>:	mov    0xc(%ebx),%eax
   0x080617d8 <+120>:	xor    %esi,%esi
   0x080617da <+122>:	cmpl   $0x3,0x14(%eax)
   0x080617de <+126>:	je     0x80618e8 <obex_io_callback+392>
   0x080617e4 <+132>:	call   0x804f700 <ods_error_quark>
   0x080617e9 <+137>:	mov    %eax,0x4(%esp)
   0x080617ed <+141>:	movl   $0x8066d00,0xc(%esp)
   0x080617f5 <+149>:	lea    -0x1c(%ebp),%eax
   0x080617f8 <+152>:	movl   $0xa,0x8(%esp)
   0x08061800 <+160>:	mov    %eax,(%esp)
   0x08061803 <+163>:	call   0x804c064 <g_set_error@plt>
   0x08061808 <+168>:	mov    0xc(%ebx),%eax
   0x0806180b <+171>:	mov    0x18(%eax),%eax
   0x0806180e <+174>:	cmpb   $0x3,0x1c(%eax)
   0x08061812 <+178>:	je     0x8061978 <obex_io_callback+536>
   0x08061818 <+184>:	mov    %eax,(%esp)
   0x0806181b <+187>:	call   0x8056d10 <ods_obex_transfer_close>
   0x08061820 <+192>:	mov    0xc(%ebx),%eax
   0x08061823 <+195>:	movl   $0x3,0x14(%eax)
   0x0806182a <+202>:	mov    0x38(%eax),%eax
   0x0806182d <+205>:	test   %eax,%eax
   0x0806182f <+207>:	je     0x8061970 <obex_io_callback+528>
   0x08061835 <+213>:	mov    -0x1c(%ebp),%edx
   0x08061838 <+216>:	mov    %eax,(%esp)
   0x0806183b <+219>:	mov    %edx,0x4(%esp)
   0x0806183f <+223>:	call   0x804bf34 <dbus_g_method_return_error@plt>
   0x08061844 <+228>:	mov    0xc(%ebx),%eax
   0x08061847 <+231>:	movl   $0x0,0x38(%eax)
   0x0806184e <+238>:	movl   $0x806832b,0xc(%esp)
   0x08061856 <+246>:	movl   $0x8066bf4,0x8(%esp)
   0x0806185e <+254>:	movl   $0x20,0x4(%esp)
   0x08061866 <+262>:	movl   $0x0,(%esp)
   0x0806186d <+269>:	call   0x804c714 <g_log@plt>
   0x08061872 <+274>:	mov    0x806dd18,%eax
   0x08061877 <+279>:	test   %eax,%eax
   0x08061879 <+281>:	je     0x8061970 <obex_io_callback+528>
   0x0806187f <+287>:	mov    0x806dd20,%edi
   0x08061885 <+293>:	mov    0x806dccc,%esi
   0x0806188b <+299>:	test   %edi,%edi
   0x0806188d <+301>:	jne    0x80619a0 <obex_io_callback+576>
   0x08061893 <+307>:	mov    0xc(%ebx),%edx
   0x08061896 <+310>:	mov    0x1c(%edx),%eax
   0x08061899 <+313>:	test   %eax,%eax
   0x0806189b <+315>:	je     0x80619d9 <obex_io_callback+633>
   0x080618a1 <+321>:	mov    %eax,(%esp)
   0x080618a4 <+324>:	call   *%esi
   0x080618a6 <+326>:	xor    %esi,%esi
   0x080618a8 <+328>:	jmp    0x8061915 <obex_io_callback+437>
   0x080618aa <+330>:	lea    0x0(%esi),%esi
   0x080618b0 <+336>:	call   0x804f700 <ods_error_quark>
   0x080618b5 <+341>:	lea    -0x1c(%ebp),%esi
   0x080618b8 <+344>:	mov    %eax,0x4(%esp)
   0x080618bc <+348>:	mov    %esi,(%esp)
   0x080618bf <+351>:	movl   $0x80675b4,0xc(%esp)
   0x080618c7 <+359>:	movl   $0xa,0x8(%esp)
   0x080618cf <+367>:	call   0x804c064 <g_set_error@plt>
   0x080618d4 <+372>:	mov    -0x1c(%ebp),%edx
   0x080618d7 <+375>:	mov    %ebx,%eax
   0x080618d9 <+377>:	call   0x8061260 <emit_connect_result_internal>
   0x080618de <+382>:	mov    %esi,(%esp)
   0x080618e1 <+385>:	xor    %esi,%esi
   0x080618e3 <+387>:	call   0x804b884 <g_clear_error@plt>
   0x080618e8 <+392>:	lea    0x3c(%esp),%esp
   0x080618ec <+396>:	mov    %esi,%eax
   0x080618ee <+398>:	pop    %ebx
   0x080618ef <+399>:	pop    %esi
   0x080618f0 <+400>:	pop    %edi
   0x080618f1 <+401>:	pop    %ebp
   0x080618f2 <+402>:	ret    
   0x080618f3 <+403>:	nop
   0x080618f4 <+404>:	lea    0x0(%esi,%eiz,1),%esi
   0x080618f8 <+408>:	mov    %esi,(%esp)
   0x080618fb <+411>:	movl   $0x1,0x4(%esp)
   0x08061903 <+419>:	call   0x804c304 <OBEX_HandleInput@plt>
   0x08061908 <+424>:	test   %eax,%eax
   0x0806190a <+426>:	mov    $0x1,%esi
   0x0806190f <+431>:	js     0x80619b0 <obex_io_callback+592>
   0x08061915 <+437>:	mov    -0x1c(%ebp),%eax
   0x08061918 <+440>:	test   %eax,%eax
   0x0806191a <+442>:	je     0x80618e8 <obex_io_callback+392>
   0x0806191c <+444>:	mov    %eax,(%esp)
   0x0806191f <+447>:	call   0x804f6a0 <ods_error_get_dbus_name>
   0x08061924 <+452>:	mov    %eax,%edi
   0x08061926 <+454>:	mov    -0x1c(%ebp),%eax
   0x08061929 <+457>:	mov    0x8(%eax),%eax
   0x0806192c <+460>:	mov    %edi,0xc(%esp)
   0x08061930 <+464>:	mov    %eax,0x10(%esp)
   0x08061934 <+468>:	mov    0x806dddc,%eax
   0x08061939 <+473>:	mov    %eax,0x4(%esp)
   0x0806193d <+477>:	mov    %ebx,(%esp)
   0x08061940 <+480>:	movl   $0x0,0x8(%esp)
   0x08061948 <+488>:	call   0x804b7c4 <g_signal_emit@plt>
   0x0806194d <+493>:	mov    %edi,(%esp)
   0x08061950 <+496>:	call   0x804b5c4 <g_free@plt>
   0x08061955 <+501>:	lea    -0x1c(%ebp),%eax
   0x08061958 <+504>:	mov    %eax,(%esp)
   0x0806195b <+507>:	call   0x804b884 <g_clear_error@plt>
   0x08061960 <+512>:	lea    0x3c(%esp),%esp
   0x08061964 <+516>:	mov    %esi,%eax
   0x08061966 <+518>:	pop    %ebx
   0x08061967 <+519>:	pop    %esi
   0x08061968 <+520>:	pop    %edi
   0x08061969 <+521>:	pop    %ebp
   0x0806196a <+522>:	ret    
   0x0806196b <+523>:	nop
   0x0806196c <+524>:	lea    0x0(%esi,%eiz,1),%esi
   0x08061970 <+528>:	xor    %esi,%esi
   0x08061972 <+530>:	jmp    0x8061915 <obex_io_callback+437>
   0x08061974 <+532>:	lea    0x0(%esi,%eiz,1),%esi
   0x08061978 <+536>:	mov    0x60(%eax),%edx
   0x0806197b <+539>:	test   %edx,%edx
   0x0806197d <+541>:	js     0x8061818 <obex_io_callback+184>
   0x08061983 <+547>:	mov    0x24(%eax),%eax
   0x08061986 <+550>:	mov    %eax,(%esp)
   0x08061989 <+553>:	call   0x804b6a4 <g_unlink@plt>
   0x0806198e <+558>:	mov    0xc(%ebx),%eax
   0x08061991 <+561>:	mov    0x18(%eax),%eax
   0x08061994 <+564>:	jmp    0x8061818 <obex_io_callback+184>
   0x08061999 <+569>:	lea    0x0(%esi,%eiz,1),%esi
   0x080619a0 <+576>:	mov    0xc(%ebx),%eax
   0x080619a3 <+579>:	add    $0x20,%eax
   0x080619a6 <+582>:	jmp    0x80618a1 <obex_io_callback+321>
   0x080619ab <+587>:	nop
   0x080619ac <+588>:	lea    0x0(%esi,%eiz,1),%esi
   0x080619b0 <+592>:	call   0x804f700 <ods_error_quark>
   0x080619b5 <+597>:	mov    %eax,0x4(%esp)
   0x080619b9 <+601>:	movl   $0x8066d11,0xc(%esp)
   0x080619c1 <+609>:	lea    -0x1c(%ebp),%eax
   0x080619c4 <+612>:	movl   $0xb,0x8(%esp)
   0x080619cc <+620>:	mov    %eax,(%esp)
   0x080619cf <+623>:	call   0x804c064 <g_set_error@plt>
   0x080619d4 <+628>:	jmp    0x8061915 <obex_io_callback+437>
   0x080619d9 <+633>:	lea    0x1c(%edx),%edx
   0x080619dc <+636>:	mov    %edx,(%esp)
   0x080619df <+639>:	call   0x804bda4 <g_static_mutex_get_mutex_impl@plt>
   0x080619e4 <+644>:	jmp    0x80618a1 <obex_io_callback+321>
End of assembler dump.

Comment 8 Bug Zapper 2011-06-02 14:05:58 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 16:19:47 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.